//_________________________________________________________________________
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
// NOMBRE: GBADInput.c
// AUTOR: Eduardo Pinera Aznarez
// DESCRIPCION: Funciones de entrada de datos para Game Boy Advanced.
//
// FECHA INICIO: 16 de Noviembre de 2000.
// ULTIMA ACTUALIZACION: 16 de Noviembre de 2000.
//$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//

#include <stdio.h>
#include <stdlib.h>

#include "GBASystem.h"
#include "GBADInput.h"



//_________________________________________________________________________
//*************************************************************************
//*************************************************************************
//
//
//
//					VARIABLES Y FUNCIONES GENERICAS DEL PAD
//
//
//
//*************************************************************************
//*************************************************************************
//



//
//			      VARIABLES
//____________________________________________
//#define		KEY_L		0xFDFF
//#define		KEY_R		0xFEFF
//#define		KEY_A		0xFFFE
//#define		KEY_B		0xFFFD
//#define		KEY_START	0xFFF7
//#define		KEY_SELECT	0xFFFB
//#define		KEY_LEFT	0xFFDF
//#define		KEY_UP		0xFFBF
//#define		KEY_RIGHT	0xFFEF
//#define		KEY_DOWN	0xFF7F



//
//		LINEAS DE PROTOTIPO DE FUNCIONES
//____________________________________________
void ReadPad(unsigned short *PadState);
void WritePad(unsigned short PadKey);
void ClearPad(void);



//
//			      FUNCIONES
//____________________________________________


//_________________________________________________________________________
// Nombre: ReadPad() 
// Descripcion: Lee el estado actual del registro del PAD.
//
void ReadPad(unsigned short *PadState)
{
	*PadState = REG_P1;
}


//_________________________________________________________________________
// Nombre: WritePad() 
// Descripcion: establece un estado en del registro del PAD.
//
void WritePad(unsigned short PadKey)
{
	REG_P1 = PadKey;
}


//_________________________________________________________________________
// Nombre: ClearPad() 
// Descripcion: Limpia el registro de estado del PAD.
//
void ClearPad(void)
{
	REG_P1 = 0xFFFF;
}
